summaryrefslogtreecommitdiffstats
path: root/system/eaglemode
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2015-08-09 08:15:39 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-09 23:03:36 +0700
commit46eac54f37e8d4044e72ff29a1ba7e710a7fbdcf (patch)
tree5ee8992cb62caed948fe9173dac59bcb88698e23 /system/eaglemode
parent4b9b95b9b9b48f6ec2b9d951f076bf9bd6757d32 (diff)
downloadslackbuilds-46eac54f37e8d4044e72ff29a1ba7e710a7fbdcf.tar.gz
slackbuilds-46eac54f37e8d4044e72ff29a1ba7e710a7fbdcf.tar.xz
system/eaglemode: Added (zoomable user interface).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/eaglemode')
-rw-r--r--system/eaglemode/README14
-rw-r--r--system/eaglemode/doinst.sh3
-rw-r--r--system/eaglemode/eaglemode.SlackBuild84
-rw-r--r--system/eaglemode/eaglemode.info10
-rw-r--r--system/eaglemode/slack-desc19
5 files changed, 130 insertions, 0 deletions
diff --git a/system/eaglemode/README b/system/eaglemode/README
new file mode 100644
index 0000000000..c5a87983a6
--- /dev/null
+++ b/system/eaglemode/README
@@ -0,0 +1,14 @@
+Eagle Mode is an advanced solution for a futuristic style of
+man-machine communication in which the user can visit almost
+everything simply by zooming in. It has a professional file
+manager, file viewers and players for most of the common file
+types, a chess game, a 3D mines game, a netwalk game,
+a multi-function clock and some fractal fun, all integrated
+in a virtual cosmos. Besides, that cosmos also provides a Linux
+kernel configurator in form of a kernel patch.
+
+By featuring a separate popup-zoomed control view, help texts in
+the things they are describing, editable bookmarks, multiple input
+methods, fast anti-aliased graphics, a virtually unlimited depth
+of panel tree, and by its portable C++ API, Eagle Mode aims to be
+a cutting edge of zoomable user interfaces.
diff --git a/system/eaglemode/doinst.sh b/system/eaglemode/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/eaglemode/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/eaglemode/eaglemode.SlackBuild b/system/eaglemode/eaglemode.SlackBuild
new file mode 100644
index 0000000000..44fc5bac91
--- /dev/null
+++ b/system/eaglemode/eaglemode.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for eaglemode
+
+# Copyright 2015 Dimitris Zlatanidis Orestiada, Greece
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=eaglemode
+VERSION=${VERSION:-0.89.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl make.pl build \
+ continue=yes
+perl make.pl install \
+ dir=/opt/$PRGNAM \
+ root=$PKG menu=yes \
+ bin=yes
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/eaglemode/eaglemode.info b/system/eaglemode/eaglemode.info
new file mode 100644
index 0000000000..72fa28eb58
--- /dev/null
+++ b/system/eaglemode/eaglemode.info
@@ -0,0 +1,10 @@
+PRGNAM="eaglemode"
+VERSION="0.89.1"
+HOMEPAGE="http://eaglemode.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/eaglemode/eaglemode-0.89.1.tar.bz2"
+MD5SUM="9ce9717eff8effb248ff31614af912be"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/system/eaglemode/slack-desc b/system/eaglemode/slack-desc
new file mode 100644
index 0000000000..0359218173
--- /dev/null
+++ b/system/eaglemode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+eaglemode: eaglemode (zoomable user interface)
+eaglemode:
+eaglemode: Eagle Mode is an advanced solution for a futuristic style of
+eaglemode: man-machine communication in which the user can visit almost
+eaglemode: everything simply by zooming in. It has a professional file
+eaglemode: manager, file viewers and players for most of the common file
+eaglemode: types, a chess game, a 3D mines game, a netwalk game,
+eaglemode: a multi-function clock and some fractal fun, all integrated in
+eaglemode: a virtual cosmos.
+eaglemode:
+eaglemode: Homepage: http://eaglemode.sourceforge.net/